Bug 1793470 - nemo-extensions fails to build with gcc 10: : multiple definition of _Py*
Summary: nemo-extensions fails to build with gcc 10: : multiple definition of _Py*
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nemo-extensions
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F32FTBFS PYTHON39 GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-21 12:21 UTC by Miro Hrončok
Modified: 2020-01-24 08:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-24 08:07:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-01-21 12:21:40 UTC
Description of problem:
Package nemo-extensions fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
4.4.0-4.fc32

Steps to Reproduce:
koji build --scratch f32 nemo-extensions-4.4.0-4.fc32.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/nemo-extensions
https://koschei.fedoraproject.org/build/7744874

cc  -o src/libnemo-python.so 'src/25a6634@@nemo-python@sha/nemo-python.c.o' 'src/25a6634@@nemo-python@sha/nemo-python-object.c.o' -Wl,--as-needed -Wl,--allow-shlib-undefined -shared -fPIC -Wl,--start-group -Wl,-soname,libnemo-python.so -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -Wl,-z,relro -Wl,--as-needed -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld /usr/lib64/libpython3.8.so /usr/lib64/libnemo-extension.so /usr/lib64/libgtk-3.so /usr/lib64/libgdk-3.so /usr/lib64/libpangocairo-1.0.so /usr/lib64/libpango-1.0.so /usr/lib64/libharfbuzz.so /usr/lib64/libatk-1.0.so /usr/lib64/libcairo-gobject.so /usr/lib64/libcairo.so /usr/lib64/libgdk_pixbuf-2.0.so /usr/lib64/libgio-2.0.so /usr/lib64/libgobject-2.0.so /usr/lib64/libglib-2.0.so -Wl,--end-group
/usr/bin/ld: src/25a6634@@nemo-python@sha/nemo-python-object.c.o:/builddir/build/BUILD/nemo-extensions-4.4.0/nemo-python/x86_64-redhat-linux-gnu/../src/nemo-python.h:43: multiple definition of `_PyNemoColumn_Type'; src/25a6634@@nemo-python@sha/nemo-python.c.o:/builddir/build/BUILD/nemo-extensions-4.4.0/nemo-python/x86_64-redhat-linux-gnu/../src/nemo-python.h:43: first defined here
/usr/bin/ld: src/25a6634@@nemo-python@sha/nemo-python-object.c.o:/builddir/build/BUILD/nemo-extensions-4.4.0/nemo-python/x86_64-redhat-linux-gnu/../src/nemo-python.h:73: multiple definition of `_PyNemoOperationHandle_Type'; src/25a6634@@nemo-python@sha/nemo-python.c.o:/builddir/build/BUILD/nemo-extensions-4.4.0/nemo-python/x86_64-redhat-linux-gnu/../src/nemo-python.h:73: first defined here
/usr/bin/ld: src/25a6634@@nemo-python@sha/nemo-python-object.c.o:/usr/include/pygobject-3.0/pygobject.h:230: multiple definition of `_PyGObject_API'; src/25a6634@@nemo-python@sha/nemo-python.c.o:/usr/include/pygobject-3.0/pygobject.h:230: first defined here
/usr/bin/ld: src/25a6634@@nemo-python@sha/nemo-python-object.c.o:/builddir/build/BUILD/nemo-extensions-4.4.0/nemo-python/x86_64-redhat-linux-gnu/../src/nemo-python.h:40: multiple definition of `_PyGtkWidget_Type'; src/25a6634@@nemo-python@sha/nemo-python.c.o:/builddir/build/BUILD/nemo-extensions-4.4.0/nemo-python/x86_64-redhat-linux-gnu/../src/nemo-python.h:40: first defined here
/usr/bin/ld: src/25a6634@@nemo-python@sha/nemo-python-object.c.o:/builddir/build/BUILD/nemo-extensions-4.4.0/nemo-python/x86_64-redhat-linux-gnu/../src/nemo-python.h:67: multiple definition of `_PyNemoPropertyPage_Type'; src/25a6634@@nemo-python@sha/nemo-python.c.o:/builddir/build/BUILD/nemo-extensions-4.4.0/nemo-python/x86_64-redhat-linux-gnu/../src/nemo-python.h:67: first defined here
/usr/bin/ld: src/25a6634@@nemo-python@sha/nemo-python-object.c.o:/builddir/build/BUILD/nemo-extensions-4.4.0/nemo-python/x86_64-redhat-linux-gnu/../src/nemo-python.h:61: multiple definition of `_PyNemoMenuItem_Type'; src/25a6634@@nemo-python@sha/nemo-python.c.o:/builddir/build/BUILD/nemo-extensions-4.4.0/nemo-python/x86_64-redhat-linux-gnu/../src/nemo-python.h:61: first defined here
/usr/bin/ld: src/25a6634@@nemo-python@sha/nemo-python-object.c.o:/builddir/build/BUILD/nemo-extensions-4.4.0/nemo-python/x86_64-redhat-linux-gnu/../src/nemo-python.h:70: multiple definition of `_PyNemoPropertyPageProvider_Type'; src/25a6634@@nemo-python@sha/nemo-python.c.o:/builddir/build/BUILD/nemo-extensions-4.4.0/nemo-python/x86_64-redhat-linux-gnu/../src/nemo-python.h:70: first defined here
/usr/bin/ld: src/25a6634@@nemo-python@sha/nemo-python-object.c.o:/builddir/build/BUILD/nemo-extensions-4.4.0/nemo-python/x86_64-redhat-linux-gnu/../src/nemo-python.h:52: multiple definition of `_PyNemoLocationWidgetProvider_Type'; src/25a6634@@nemo-python@sha/nemo-python.c.o:/builddir/build/BUILD/nemo-extensions-4.4.0/nemo-python/x86_64-redhat-linux-gnu/../src/nemo-python.h:52: first defined here
/usr/bin/ld: src/25a6634@@nemo-python@sha/nemo-python-object.c.o:/builddir/build/BUILD/nemo-extensions-4.4.0/nemo-python/x86_64-redhat-linux-gnu/../src/nemo-python.h:64: multiple definition of `_PyNemoMenuProvider_Type'; src/25a6634@@nemo-python@sha/nemo-python.c.o:/builddir/build/BUILD/nemo-extensions-4.4.0/nemo-python/x86_64-redhat-linux-gnu/../src/nemo-python.h:64: first defined here
/usr/bin/ld: src/25a6634@@nemo-python@sha/nemo-python-object.c.o:/builddir/build/BUILD/nemo-extensions-4.4.0/nemo-python/x86_64-redhat-linux-gnu/../src/nemo-python.h:46: multiple definition of `_PyNemoColumnProvider_Type'; src/25a6634@@nemo-python@sha/nemo-python.c.o:/builddir/build/BUILD/nemo-extensions-4.4.0/nemo-python/x86_64-redhat-linux-gnu/../src/nemo-python.h:46: first defined here
/usr/bin/ld: src/25a6634@@nemo-python@sha/nemo-python-object.c.o:/builddir/build/BUILD/nemo-extensions-4.4.0/nemo-python/x86_64-redhat-linux-gnu/../src/nemo-python.h:49: multiple definition of `_PyNemoInfoProvider_Type'; src/25a6634@@nemo-python@sha/nemo-python.c.o:/builddir/build/BUILD/nemo-extensions-4.4.0/nemo-python/x86_64-redhat-linux-gnu/../src/nemo-python.h:49: first defined here
/usr/bin/ld: src/25a6634@@nemo-python@sha/nemo-python-object.c.o:/builddir/build/BUILD/nemo-extensions-4.4.0/nemo-python/x86_64-redhat-linux-gnu/../src/nemo-python.h:55: multiple definition of `_PyNemoNameAndDescProvider_Type'; src/25a6634@@nemo-python@sha/nemo-python.c.o:/builddir/build/BUILD/nemo-extensions-4.4.0/nemo-python/x86_64-redhat-linux-gnu/../src/nemo-python.h:55: first defined here
/usr/bin/ld: src/25a6634@@nemo-python@sha/nemo-python-object.c.o:/builddir/build/BUILD/nemo-extensions-4.4.0/nemo-python/x86_64-redhat-linux-gnu/../src/nemo-python.h:58: multiple definition of `_PyNemoMenu_Type'; src/25a6634@@nemo-python@sha/nemo-python.c.o:/builddir/build/BUILD/nemo-extensions-4.4.0/nemo-python/x86_64-redhat-linux-gnu/../src/nemo-python.h:58: first defined here
collect2: error: ld returned 1 exit status



This blocks the Python 3.9 rebuild.

Comment 1 Miro Hrončok 2020-01-21 12:22:52 UTC
Semae problem in https://src.fedoraproject.org/rpms/thunarx-python/pull-request/1

Comment 2 Miro Hrončok 2020-01-21 12:35:37 UTC
This is https://gcc.gnu.org/gcc-10/porting_to.html#common

Comment 3 Fedora Update System 2020-01-23 23:43:24 UTC
FEDORA-2020-91dc3ed09f has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-91dc3ed09f


Note You need to log in before you can comment on or make changes to this bug.